package com.huiju.estateagents.service;

import com.alibaba.fastjson.JSONObject;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TaChat;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 聊天记录表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
public interface ITaChatService extends IService<TaChat> {

    ResponseBean getChatHistory(String openid, String chatWith, int pageNumber, int pageSize);

    ResponseBean getChatWithList(String openid, int pageNumber, int pageSize);

    ResponseBean chat(JSONObject taChat);

    ResponseBean updateMessageReadedOf(String openid);
}
